=== debian/changelog ===
gnome-pie (0.2+gitdfdad95-1) unstable; urgency=low

  * Initial release (Closes: #645878)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Wed, 19 Oct 2011 13:38:07 +0200
