=== debian/control ===
Source: gnome-pie
Section: gnome
Priority: optional
Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
Uploaders: Andrea Veri <and@debian.org>
Build-Depends: debhelper (>= 8), cmake,
 libcairo2-dev, libgee-dev,
 libgnome-menu-dev, libgtk2.0-dev,
 libunique-dev, libxml2-dev,
 libxtst-dev, valac
Standards-Version: 3.9.2
Homepage: http://gnome-pie.simonschneegans.de/
Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-pie.git;a=summary

Package: gnome-pie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: visual application launcher for GNOME
 gnome-pie is a radial visual application launcher for GNOME. It allows the
 user to bind groups of frequently used applications to a ring that appears 
 when a hot key / mouse binding is triggered.
 .
 It was inspired by the OPie addon written for the game World of Warcraft.
