=== debian/rules ===
#!/usr/bin/make -f

PKG=gnome-pie
REM=git://github.com/Simmesimme/Gnome-Pie.git
REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]git(.*)-.*,\1,p')
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# install invalid locale pt-br as pt_BR (fix unknown-locale-code)
	mv debian/$(PKG)/usr/share/locale/pt-br \
		debian/$(PKG)/usr/share/locale/pt_BR

get-orig-source:
	rm -rf $(PKG)-$(VER).orig
	git clone $(REM) $(PKG)_$(VER).orig
	cd $(PKG)_$(VER).orig && git checkout $(REV)
	rm -r $(PKG)_$(VER).orig/.git $(PKG)_$(VER).orig/.gitignore
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
		-f $(PKG)_$(VER).orig.tar.gz \
		$(PKG)_$(VER).orig
	rm -r $(PKG)_$(VER).orig
