=== debian/changelog ===
gnome-pie (0.3.1-1) unstable; urgency=low

  [ Andrea Veri ]
  * debian/control:
    - added B-Ds on libwnck-dev, libgnome-menu-dev and
      libbamf-dev, they are required in order to build
      gnome-pie-0.3 succesfully.

  [ Alessandro Ghedini ]
  * New upstream release
  * Use tarballs provided by upstream instead of git
  * Drop manpage (merged upstream)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 20 Nov 2011 15:54:48 +0100
