=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
 Uploaders: Andrea Veri <and@debian.org>
 Build-Depends: debhelper (>= 8), cmake,
- libcairo2-dev, libgee-dev,
+ libbamf-dev, libcairo2-dev, libgee-dev,
  libgnome-menu-dev, libgtk2.0-dev,
- libunique-dev, libxml2-dev,
- libxtst-dev, valac
+ libunique-dev, libwnck-dev, 
+ libxml2-dev,  libxtst-dev, valac
 Standards-Version: 3.9.2
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git
