=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# install invalid locale pt-br as pt_BR (fix unknown-locale-code)
	mv debian/gnome-pie/usr/share/locale/pt-br \
		debian/gnome-pie/usr/share/locale/pt_BR
