=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,10 @@
 if (${INDICATOR_FOUND})
   SET(DEFINES --define HAVE_APPINDICATOR)
 endif(${INDICATOR_FOUND})
+
+if (${GTK3_FOUND})
+  SET(DEFINES --define HAVE_GTK_3)
+endif(${GTK3_FOUND})
 
 if (${GMENU3_FOUND})
     LIST(APPEND DEFINES --define HAVE_GMENU_3)
@@ -39,7 +43,7 @@
 # install credits
 install(
 	FILES
-		${CMAKE_SOURCE_DIR}/README
+		${CMAKE_SOURCE_DIR}/README.md
 	DESTINATION
 		${CMAKE_INSTALL_PREFIX}/share/doc/gnome-pie
 )
@@ -63,11 +67,18 @@
 		${CMAKE_INSTALL_PREFIX}/share/gnome-pie
 )
 
+# install UI files
+install(
+	DIRECTORY
+		${CMAKE_SOURCE_DIR}/resources/ui
+	DESTINATION
+		${CMAKE_INSTALL_PREFIX}/share/gnome-pie
+)
+
 # install icons
 install(
 	FILES
 		${CMAKE_SOURCE_DIR}/resources/gnome-pie.svg
-		${CMAKE_SOURCE_DIR}/resources/gnome-pie-indicator.svg
 	DESTINATION
 		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
 )
