=== debian/changelog ===
gnome-pie (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Explicitly set the build system
  * One Build-Depends per line

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 22 Jan 2012 14:11:45 +0100
