## gnome-pie 0.4.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,11 +6,14 @@
 file(GLOB VALA_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.vala */*.vala)
 
 if (${INDICATOR_FOUND})
-  SET(DEFINES --define HAVE_APPINDICATOR)
+  LIST(APPEND DEFINES --define HAVE_APPINDICATOR)
 endif(${INDICATOR_FOUND})
+if (${INDICATOR3_FOUND})
+  LIST(APPEND DEFINES --define HAVE_APPINDICATOR)
+endif(${INDICATOR3_FOUND})
 
 if (${GTK3_FOUND})
-  SET(DEFINES --define HAVE_GTK_3)
+  LIST(APPEND DEFINES --define HAVE_GTK_3)
 endif(${GTK3_FOUND})
 
 if (${GMENU3_FOUND})
