=== debian/changelog ===
gnome-pie (0.4.2-1) unstable; urgency=low

  * New upstream release
  * Update upstream copyright years

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 27 Jan 2012 21:44:10 +0100
