## gnome-pie 0.5.2

=== debian/changelog ===
gnome-pie (0.5.2-1) unstable; urgency=low

  * New upstream release
    - Do not override dh_auto_install anymore
      (pt_BR locale has the correct name now)
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Bump debhelper compat level to 9
  * Switch to GTK+ 3.0

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 19 Mar 2012 18:41:54 +0100
