=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
 Uploaders: Andrea Veri <and@debian.org>
-Build-Depends: debhelper (>= 8), cmake,
- libbamf-dev,
+Build-Depends: debhelper (>= 9), 
+ cmake,
+ libbamf3-dev,
  libcairo2-dev,
  libgee-dev,
- libgnome-menu-dev,
- libgtk2.0-dev,
- libunique-dev,
- libwnck-dev,
+ libgnome-menu-3-dev,
+ libgtk-3-dev,
+ libunique-3.0-dev,
+ libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
  valac
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-pie.git;a=summary
