## gnome-pie 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,6 +50,7 @@
 pkg_check_modules(GMENU3 libgnome-menu-3.0)
 
 find_library(M_LIB m)
+find_library(GTHREAD_LIB gthread-2.0)
 
 set(CFLAGS
     ${GIO_CFLAGS}
@@ -81,9 +82,8 @@
 if (${INDICATOR_FOUND})
     LIST(APPEND CFLAGS -DHAVE_APPINDICATOR)
 endif (${INDICATOR_FOUND})
-
 if (${INDICATOR3_FOUND})
-    LIST(APPEND CFLAGS -DHAVE_APPINDICATOR3)
+    LIST(APPEND CFLAGS -DHAVE_APPINDICATOR)
 endif (${INDICATOR3_FOUND})
 
 add_definitions(${CFLAGS})
@@ -105,6 +105,7 @@
 	${WNCK_LIBRARIES}
 	${BAMF_LIBRARIES}
 	${M_LIB}
+	${GTHREAD_LIB}
 )
 link_libraries(${LIBS})
