=== debian/changelog ===
gnome-pie (0.5.3-1) unstable; urgency=low

  * New upstream release
  * Email change: Alessandro Ghedini -> ghedo@debian.org
  * Explicitly build depends on valac-0.14 (Closes: #673591)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 20 May 2012 20:34:54 +0200
