=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gnome-pie
 Section: gnome
 Priority: optional
-Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
+Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Uploaders: Andrea Veri <and@debian.org>
-Build-Depends: debhelper (>= 9), 
+Build-Depends: debhelper (>= 9),
  cmake,
  libbamf3-dev,
  libcairo2-dev,
@@ -14,7 +14,7 @@
  libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
- valac
+ valac-0.14
 Standards-Version: 3.9.3
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git
