## gnome-pie 0.5.4

=== Makefile ===
BUILD_ROOT = 1
PROGRAM=gnome-pie
