=== debian/changelog ===
gnome-pie (0.5.4-1build2) saucy; urgency=low

  * No change rebuild with the new bamf soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Aug 2013 13:06:07 +0200

gnome-pie (0.5.4-1build1) raring; urgency=low

  * No-change rebuild for libbamf3-0 -> libbamf3-1 transition

 -- Michael Terry <mterry@ubuntu.com>  Mon, 14 Jan 2013 14:55:11 -0500

gnome-pie (0.5.4-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Build depend on unversioned valac (Closes: #675644)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 07 Nov 2012 18:46:56 +0100
