=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
- valac-0.14
-Standards-Version: 3.9.3
+ valac
+Standards-Version: 3.9.4
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-pie.git;a=summary
