=== debian/watch ===
version=3

https://github.com/Simmesimme/Gnome-Pie/downloads \
		/downloads/Simmesimme/Gnome-Pie/Gnome-Pie-(.*).tar.gz
