## gnome-pie 0.5.5

=== debian/changelog ===
gnome-pie (0.5.5-1) unstable; urgency=medium

  * New Maintainer (Closes: #755431).
  * New upstream release (Closes: #687078).
  * Add debian/source/options:
    - Set compression to xz & compression-level to 9 to save space.
  * debian/control:
    - Set myself as maintainer.
    - Update Build-Depends:
      + replace deprecated libgee-dev with libgee-0.8-dev.
      + valac <= 0.16 will be removed. Therefore change
        valac release to >= 0.22.
  * New patch:
    - New debian/patches/001-gee-0.8.patch for new geeAPI 0.8 (Closes: #753863).
  * debian/copyright:
    - Add myself to the list of authors for debian/*.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 30 Jul 2014 07:25:36 +0200

gnome-pie (0.5.4-2) unstable; urgency=medium

  * QA upload
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Orphan the package
  * Update watch file to point to correct GitHub page
  * Fix vcs-field-not-canonical

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 20 Jul 2014 19:52:46 +0200
