=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: gnome-pie
 Section: gnome
 Priority: optional
-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Uploaders: Andrea Veri <and@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Build-Depends: 
+ debhelper (>= 9),
  cmake,
  libbamf3-dev,
  libcairo2-dev,
- libgee-dev,
+ libgee-0.8-dev (>= 0.10),
  libgnome-menu-3-dev,
  libgtk-3-dev,
  libunique-3.0-dev,
  libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
- valac
-Standards-Version: 3.9.4
+ valac (>= 0.22)
+Standards-Version: 3.9.5
 Homepage: http://gnome-pie.simonschneegans.de/
-Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-pie.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-pie.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnome-pie.git
 
 Package: gnome-pie
 Architecture: any
