## gnome-pie 0.5.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -137,7 +137,7 @@
 	${INDICATOR_INCLUDE_DIRS}
 	${INDICATOR3_INCLUDE_DIRS}
 	${XML_INCLUDE_DIRS}
-	${XTST_INCLUDE_DIRS}	
+	${XTST_INCLUDE_DIRS}
 	${GMENU_INCLUDE_DIRS}
 	${GMENU3_INCLUDE_DIRS}
 	${UNIQUE_INCLUDE_DIRS}
