=== debian/changelog ===
gnome-pie (0.5.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Change Vcs-Browser to cgit.
  * Add year 2015 to debian/copyright.
  * New debian/patches/02-desktop_file.patch:
    - Add missing keyword entry.
  * Remove useless debian/source/options.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 17 Jan 2015 14:05:06 +0100
