=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  libxml2-dev,
  libxtst-dev,
  valac (>= 0.22)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-pie.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnome-pie.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gnome-pie.git
 
 Package: gnome-pie
 Architecture: any
