## gnome-pie 0.5.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,24 +26,13 @@
 find_package(PkgConfig)
 
 # check whether GTK3 is supported
-pkg_check_modules(GTK3 gtk+-3.0)
-
-if (${GTK3_FOUND})
-    pkg_check_modules(INDICATOR3 appindicator3-0.1)
-    pkg_check_modules(UNIQUE REQUIRED unique-3.0)
-    pkg_check_modules(WNCK REQUIRED libwnck-3.0)
-    pkg_check_modules(BAMF REQUIRED libbamf3)
-else (${GTK3_FOUND})
-    pkg_check_modules(GTK2 REQUIRED gtk+-2.0)
-    pkg_check_modules(INDICATOR appindicator-0.1)
-    pkg_check_modules(UNIQUE REQUIRED unique-1.0)
-    pkg_check_modules(WNCK REQUIRED libwnck-1.0)
-    pkg_check_modules(BAMF REQUIRED libbamf)
-endif (${GTK3_FOUND})
-
+pkg_check_modules(GTK3 REQUIRED gtk+-3.0)
+pkg_check_modules(INDICATOR3 appindicator3-0.1)
+pkg_check_modules(WNCK REQUIRED libwnck-3.0)
+pkg_check_modules(BAMF REQUIRED libbamf3)
 pkg_check_modules(GIO REQUIRED gio-unix-2.0)
 pkg_check_modules(CAIRO REQUIRED cairo)
-pkg_check_modules(GEE REQUIRED gee-1.0)
+pkg_check_modules(GEE REQUIRED gee-0.8)
 pkg_check_modules(X11 REQUIRED x11)
 pkg_check_modules(XML REQUIRED libxml-2.0)
 pkg_check_modules(XTST REQUIRED xtst)
@@ -54,7 +43,6 @@
 
 set(CFLAGS
     ${GIO_CFLAGS}
-    ${GTK2_CFLAGS} ${GTK2_CFLAGS_OTHER}
     ${GTK3_CFLAGS} ${GTK3_CFLAGS_OTHER}
     ${CAIRO_CFLAGS} ${CAIRO_CFLAGS_OTHER}
     ${GEE_CFLAGS} ${CAIRO_CFLAGS_OTHER}
@@ -65,11 +53,6 @@
 	-s -O3 -w
 #	-g
 )
-
-# fallback to gtk2 if gtk3 wasn't found
-if (${GTK3_FOUND})
-    LIST(APPEND CFLAGS -DHAVE_GTK_3)
-endif (${GTK3_FOUND})
 
 # fallback to gnome-menus2 if gnome-menus3 wasn't found
 if (${GMENU3_FOUND})
@@ -90,7 +73,6 @@
 
 set(LIBS
     ${GIO_LIBRARIES}
-	${GTK2_LIBRARIES}
 	${GTK3_LIBRARIES}
 	${CAIRO_LIBRARIES}
 	${GEE_LIBRARIES}
@@ -100,7 +82,6 @@
 	${XTST_LIBRARIES}
 	${GMENU_LIBRARIES}
 	${GMENU3_LIBRARIES}
-	${UNIQUE_LIBRARIES}
 	${X11_LIBRARIES}
 	${WNCK_LIBRARIES}
 	${BAMF_LIBRARIES}
@@ -111,7 +92,6 @@
 
 set(LIB_PATHS
     ${GIO_LIBRARY_DIRS}
-	${GTK2_LIBRARY_DIRS}
 	${GTK3_LIBRARY_DIRS}
 	${CAIRO_LIBRARY_DIRS}
 	${GEE_LIBRARY_DIRS}
@@ -121,7 +101,6 @@
 	${XTST_LIBRARY_DIRS}
 	${GMENU_LIBRARY_DIRS}
 	${GMENU3_LIBRARY_DIRS}
-	${UNIQUE_LIBRARY_DIRS}
 	${X11_LIBRARY_DIRS}
 	${WNCK_LIBRARY_DIRS}
 	${BAMF_LIBRARY_DIRS}
@@ -130,7 +109,6 @@
 
 set(INCLUDE_PATHS
     ${GIO_INCLUDE_DIRS}
-	${GTK2_INCLUDE_DIRS}
 	${GTK3_INCLUDE_DIRS}
 	${CAIRO_INCLUDE_DIRS}
 	${GEE_INCLUDE_DIRS}
@@ -140,7 +118,6 @@
 	${XTST_INCLUDE_DIRS}
 	${GMENU_INCLUDE_DIRS}
 	${GMENU3_INCLUDE_DIRS}
-	${UNIQUE_INCLUDE_DIRS}
 	${X11_INCLUDE_DIRS}
 	${BAMF_INCLUDE_DIRS}
 	${WNCK_INCLUDE_DIRS}
@@ -154,8 +131,12 @@
 set(EXECUTABLE_OUTPUT_PATH ${gnomepie_SOURCE_DIR})
 
 set(VALA_PKGS
+  gtk+-3.0
+  gdk-x11-3.0
+  libwnck-3.0
+  libbamf3
   cairo
-  gee-1.0
+  gee-0.8
   x11
   gio-unix-2.0
   posix
@@ -176,20 +157,6 @@
 else (${GMENU3_FOUND})
     LIST(APPEND VALA_PKGS libgnome-menu)
 endif (${GMENU3_FOUND})
-
-if (${GTK3_FOUND})
-    LIST(APPEND VALA_PKGS gtk+-3.0)
-    LIST(APPEND VALA_PKGS gdk-x11-3.0)
-    LIST(APPEND VALA_PKGS libbamf3)
-    LIST(APPEND VALA_PKGS libwnck-3.0)
-    LIST(APPEND VALA_PKGS unique-3.0)
-else (${GTK3_FOUND})
-    LIST(APPEND VALA_PKGS gtk+-2.0)
-    LIST(APPEND VALA_PKGS gdk-x11-2.0)
-    LIST(APPEND VALA_PKGS bamf)
-    LIST(APPEND VALA_PKGS libwnck-1.0)
-    LIST(APPEND VALA_PKGS unique-1.0)
-endif (${GTK3_FOUND})
 
 add_subdirectory(src)
 
@@ -214,7 +181,6 @@
 message( "  EXECUTABLE_OUTPUT_PATH = ${EXECUTABLE_OUTPUT_PATH}" )
 message( "  VALA_EXECUTABLE = ${VALA_EXECUTABLE}" )
 message( "Libs:" )
-message( "  GTK2_LIBRARIES = ${GTK2_LIBRARIES}" )
 message( "  GTK3_LIBRARIES = ${GTK3_LIBRARIES}" )
 message( "  CAIRO_LIBRARIES = ${CAIRO_LIBRARIES}" )
 message( "  GEE_LIBRARIES = ${GEE_LIBRARIES}" )
@@ -224,7 +190,6 @@
 message( "  XTST_LIBRARIES = ${XTST_LIBRARIES}" )
 message( "  GMENU_LIBRARIES = ${GMENU_LIBRARIES}" )
 message( "  GMENU3_LIBRARIES = ${GMENU3_LIBRARIES}" )
-message( "  UNIQUE_LIBRARIES = ${UNIQUE_LIBRARIES}" )
 message( "  X11_LIBRARIES = ${X11_LIBRARIES}" )
 message( "  BAMF_LIBRARIES = ${BAMF_LIBRARIES}" )
 message( "  WNCK_LIBRARIES = ${WNCK_LIBRARIES}" )
