=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,6 @@
 if (${INDICATOR3_FOUND})
   LIST(APPEND DEFINES --define HAVE_APPINDICATOR)
 endif(${INDICATOR3_FOUND})
-
-if (${GTK3_FOUND})
-  LIST(APPEND DEFINES --define HAVE_GTK_3)
-endif(${GTK3_FOUND})
 
 if (${GMENU3_FOUND})
     LIST(APPEND DEFINES --define HAVE_GMENU_3)
