=== debian/changelog ===
gnome-pie (0.5.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Remove 001-gee-0.8.patch, applied upstream.
    - Remove 002-desktop_file.patch, applied upstream.
  * Reformat debian/copyright to prevent lintian warnings.
  * debian/control:
    - Add Build-Depends libicu-dev for missing unicode/ucnv.h.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 01 Feb 2015 11:50:33 +0100
