=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  libgee-0.8-dev (>= 0.10),
  libgnome-menu-3-dev,
  libgtk-3-dev,
+ libicu-dev,
  libunique-3.0-dev,
  libwnck-3-dev,
  libxml2-dev,
