=== debian/changelog ===
gnome-pie (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * New debian/patches/0500_bamf3-vapi.patch:
    - Add missing vapi/libbamf3.vapi to prevent build error.
  * debain/copyright:
    - Remove unused Files paragraphs.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 11 May 2015 18:49:32 +0200

gnome-pie (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add requested libappindicator3-dev to Build-Depends.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 19 Apr 2015 10:28:44 +0200
