## gnome-pie 0.6.4

=== debian/changelog ===
gnome-pie (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 02 Aug 2015 09:30:21 +0200
