=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: 
  debhelper (>= 9),
  cmake,
+ libappindicator3-dev,
  libbamf3-dev,
  libcairo2-dev,
  libgee-0.8-dev (>= 0.10),
