## gnome-pie 0.6.6

=== debian/changelog ===
gnome-pie (0.6.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add libarchive-dev to Build-Depends.
    - Change requested version of vala to >= 0.24.
  * debian/rules:
    - Add override_dh_auto_build to compile po files at build time.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 27 Sep 2015 15:07:47 +0200
