=== debian/changelog ===
gnome-pie (0.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 19 Dec 2015 14:51:25 +0100
