=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  debhelper (>= 9),
  cmake,
  libappindicator3-dev,
+ libarchive-dev,
  libbamf3-dev,
  libcairo2-dev,
  libgee-0.8-dev (>= 0.10),
@@ -16,7 +17,7 @@
  libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
- valac (>= 0.22)
+ valac (>= 0.24)
 Standards-Version: 3.9.6
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-pie.git
