=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_build:
	$(CURDIR)/resources/locale/compile-po.sh
	dh_auto_build
