## gnome-pie 0.6.9

=== debian/changelog ===
gnome-pie (0.6.9-1) unstable; urgency=medium

  * New upstream release:
    - Remove now useless libbamf3-dev from Build Depends.
    - Remove useless debian/patches/0500_bamf3-vapi.patch.
  * debian/rules:
    - Enable hardening.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 26 Aug 2016 17:29:11 +0200

gnome-pie (0.6.8-2) unstable; urgency=medium

  * debian/control:
    - Remove useless libunique-3.0-dev from Build-Depends (Closes: #824576).
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-Browser to secure URI.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 06 Jun 2016 00:36:57 +0200
