=== debian/control ===
--- 
+++ 
@@ -2,26 +2,24 @@
 Section: gnome
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Build-Depends: 
+Build-Depends:
  debhelper (>= 9),
  cmake,
  libappindicator3-dev,
  libarchive-dev,
- libbamf3-dev,
  libcairo2-dev,
  libgee-0.8-dev (>= 0.10),
  libgnome-menu-3-dev,
  libgtk-3-dev,
  libicu-dev,
- libunique-3.0-dev,
  libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
  valac (>= 0.24)
-Standards-Version: 3.9.6
-Homepage: http://gnome-pie.simonschneegans.de/
+Standards-Version: 3.9.8
+Homepage: https://gnome-pie.simonschneegans.de/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-pie.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gnome-pie.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-pie.git
 
 Package: gnome-pie
 Architecture: any
