## gnome-pie 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,6 @@
 pkg_check_modules(GTK3 REQUIRED gtk+-3.0)
 pkg_check_modules(INDICATOR3 appindicator3-0.1)
 pkg_check_modules(WNCK REQUIRED libwnck-3.0)
-pkg_check_modules(BAMF REQUIRED libbamf3)
 pkg_check_modules(GIO REQUIRED gio-unix-2.0)
 pkg_check_modules(CAIRO REQUIRED cairo)
 pkg_check_modules(GEE REQUIRED gee-0.8)
@@ -47,11 +46,11 @@
     ${CAIRO_CFLAGS} ${CAIRO_CFLAGS_OTHER}
     ${GEE_CFLAGS} ${CAIRO_CFLAGS_OTHER}
     ${X11_CFLAGS} ${X11_CFLAGS_OTHER}
-	-DGMENU_I_KNOW_THIS_IS_UNSTABLE
-	-DWNCK_I_KNOW_THIS_IS_UNSTABLE
+    -DGMENU_I_KNOW_THIS_IS_UNSTABLE
+    -DWNCK_I_KNOW_THIS_IS_UNSTABLE
     -DGETTEXT_PACKAGE="gnomepie"
-	-s -O3 -w
-#	-g
+    -s -O3 -w
+#   -g
 )
 
 # fallback to gnome-menus2 if gnome-menus3 wasn't found
@@ -84,7 +83,6 @@
 	${GMENU3_LIBRARIES}
 	${X11_LIBRARIES}
 	${WNCK_LIBRARIES}
-    ${BAMF_LIBRARIES}
 	${ARCHIVE_LIB}
 	${M_LIB}
 	${GTHREAD_LIB}
@@ -104,7 +102,6 @@
 	${GMENU3_LIBRARY_DIRS}
 	${X11_LIBRARY_DIRS}
 	${WNCK_LIBRARY_DIRS}
-    ${BAMF_LIBRARY_DIRS}
 )
 link_directories(${LIB_PATHS})
 
@@ -120,8 +117,7 @@
 	${GMENU_INCLUDE_DIRS}
 	${GMENU3_INCLUDE_DIRS}
 	${X11_INCLUDE_DIRS}
-	${BAMF_INCLUDE_DIRS}
-    ${WNCK_INCLUDE_DIRS}
+  ${WNCK_INCLUDE_DIRS}
 )
 include_directories(${INCLUDE_PATHS})
 
@@ -135,7 +131,6 @@
   gtk+-3.0
   gdk-x11-3.0
   libwnck-3.0
-  libbamf3
   cairo
   gee-0.8
   x11
@@ -193,7 +188,6 @@
 message( "  GMENU_LIBRARIES = ${GMENU_LIBRARIES}" )
 message( "  GMENU3_LIBRARIES = ${GMENU3_LIBRARIES}" )
 message( "  X11_LIBRARIES = ${X11_LIBRARIES}" )
-message( "  BAMF_LIBRARIES = ${BAMF_LIBRARIES}" )
 message( "  WNCK_LIBRARIES = ${WNCK_LIBRARIES}" )
 message( "  ARCHIVE_LIBRARIES = ${ARCHIVE_LIB}" )
 message( "" )
