=== debian/changelog ===
gnome-pie (0.7.0-1ubuntu1) artful; urgency=medium

  * Add build-with-vala36.patch:
    - Backport patch to fix build with vala 0.36

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Jun 2017 19:39:49 -0400

gnome-pie (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat to 10:
    - Change debian/compat to 10.
    - Change debhelper version at debian/control to >= 10.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 02 Oct 2016 16:34:20 +0200
