=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gnome-pie
 Section: gnome
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  cmake,
  libappindicator3-dev,
  libarchive-dev,
