=== debian/changelog ===
gnome-pie (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * New README.source to explain the branching model used.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).
  * Refresh debian/copyright.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 25 Jul 2017 06:55:33 +0200
