=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-pie
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
  debhelper (>= 10),
  cmake,
@@ -17,7 +16,7 @@
  libxml2-dev,
  libxtst-dev,
  valac (>= 0.24)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://gnome-pie.simonschneegans.de/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-pie.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-pie.git
